html,body,div {
    padding: 0;
    margin: 0;
}

#mapcontainer canvas {
    width: 100vw;
    height: 100vh;
    display: block;
}


html,body,div {
    margin: 0;
    padding: 0;
}

html,body {
    overflow: hidden;
}

html {
    overscroll-behavior: none;
}

#mapcontainer {
    position: relative;
    overflow: hidden;
    --overlay-inset: 15px;
}

.map_overlay {
    display: block;
    
    transition: transform .2s;
    box-shadow: 2px 2px 2px 2px rgba(1,1,1,.3);
    border-radius: 2px;
    opacity: .95;
    background-color: white;
}

#sidebar {
    position: absolute;
    width: 300px;
    height: 80vh;
    right: var(--overlay-inset);
    top: var(--overlay-inset);
    transform: translate3d(100vw,0,0);
    
}

#stack_left {
    position: absolute;
    left: var(--overlay-inset);
    top: var(--overlay-inset);
}

.sidebar_visible #stack_left {
    display: none;
}

#plan_bar {
    padding: 15px;
    background-color: white;
}

#plan_form {
    padding: 15px;
    width: 300px;
    margin-bottom: 15px;
}

#plan_form input {
    display: block;
    width: 100%;
    box-sizing: border-box;
    
}

#trip_list {
    width: 300px;
    padding: 15px;
}

#sidebar.large {
    left: 50px;
    right: 50px;
    top: 50px;
    width: auto;
}

#sidebar.visible {
    transform: translate3d(0,0,0);
}

#swipe-handle {
    display: none;
    background-color: black;
    height: 4px;
    width: 25px;
    margin: 10px auto;
    opacity: .4;
    border-radius: 4px;
}

#close-button-ctr {
    text-align: right;
    display: block;
}

#close-button {
    display: inline-block;
    text-align: right;
    margin: 5px;
    margin-right: 15px;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    font-size: 30px;
}

#close-button::after {
    content: "\00d7";
    cursor: pointer
}

@media only screen and (max-width: 600px) {
    #close-button {
        display: none;
    }

    #swipe-handle {
        display: block;
    }

    #sidebar {
        
        transform: translate3d(0,100vh,0);
        width: auto;
        left: 15px;
        right: 15px;
        top: 30vh;
    }
}

#sidebar-content {
    padding-left: 15px;
    padding-right: 15px;
}

.sidebar_ride {
    display: table;
}

.sidebar_ride .stop {
    display: table-row;
}

.sidebar_ride .stop .time,.sidebar_ride .stop .name, .sidebar_ride .stop .platform {
    display: table-cell;
}

.sidebar_ride .stop .platform {
    padding-left: .5em;
}
.platform_label_spacer {
    display: block;
    height: 1.8em;
}

.timeline_label {
    transform: translateY(-2em);
    z-index: 2;
    height: 3em;
    text-align: center;
    border-left: 1px solid black;
    padding-left: .2em;
}

.timeline_label_text {
    transform: rotate(-8deg);
    font-size: 1.1em;
    white-space: nowrap;
}

.platform_timeline {
    height: 1em;
    display: inline-block;
    position: relative;
    width: 100%;
    flex:1;
    overflow: visible;
    outline: 1px dashed gray

}

.timeline_item.timeline_arrival {
    /* text-decoration: dashed; */
    /* text-decoration: s */
    background-color: gray;
}

.platform_name {
    display: inline-block;
    flex-basis: 2em;
}

.station_passages {
    overflow: hidden;
}

.timeline_item {
    background-color: #266c79;
    position: absolute;
    height: 100%;
}

.planner_trip {
    margin-top: 5px;
    margin-bottom: 5px;
}
.bottom_right {
    display: inline-block;
    position: absolute;
    right: 0;
    bottom:0;
}

.timer {
    text-align: right;
    font-size: 3em;
    color:white;
    padding-right: 3px;
    font-family: sans-serif;
    line-height: 1em;
}

.top_center {
    text-align: center;
    display: block;
    top:0;
    position: absolute;
    width: 100%;
    pointer-events: none;
}

.timer_cursor {
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.planner_trip {
    display: flex;
    justify-content: space-between;
}

.planner_trip__time {
    flex-grow: 1;
}

.planner_trip__time:last-of-type {
    text-align: right;
}

.planner_trip__waypoint {
    width: 10%;
    flex-grow: 0;
}

.labeled_text label {
    display: flex;
}

.labeled_text label span {
    flex-basis: 20%;
    text-align: right;
}


.settings {
    padding: 15px;
    margin-top: 15px;
}

.help {   
    padding: 15px;
    margin-top: 15px;
}
.ui_hidden .hidable_ui {
    visibility: hidden;
}